/*
 * Class TYPE [TYPED_POINTER [INTEGER_8]]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1885 [] = {0xFF01,1551,1884,1882,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1885 [] = {0xFF01,1884,1882,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1885 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1885 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1885 [] = {0xFF01,1884,1882,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1885 [] = {0xFF01,1884,1882,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1885 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1885 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1885 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1885 [] = {1884,1882,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1885 [] = {0xFF01,1884,1882,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1885 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1885 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1885 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1885 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1885 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1885 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1885 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1885 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1885 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1885 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1885 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_1885[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1885), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1885), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1885), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1885), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1885), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1885), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1885), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1885), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1885), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1885), 19876, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1885), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1885), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1885), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1885), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19863, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1885), 19860, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1885), 19861, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19862, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19864, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19867, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1885), 19871, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1885), 19872, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1885), 19873, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1885), 19874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1885), 19875, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1885), 19878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19880, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1885), 19881, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1885), 19882, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1885), 19883, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1885), 19884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 19885, 0},
	{EIF_GENERIC(egt_26_1885), 19886, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1885), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1885), 19877, 0xFFFFFFFF},
};
void Init1885(void)
{
	IDSC(desc_1885, 0, 1884);
	IDSC(desc_1885 + 1, 1, 1884);
	IDSC(desc_1885 + 32, 700, 1884);
	IDSC(desc_1885 + 34, 1459, 1884);
	IDSC(desc_1885 + 38, 11, 1884);
	IDSC(desc_1885 + 60, 224, 1884);
}


#ifdef __cplusplus
}
#endif
